Index: translator_se.h
===================================================================
--- translator_se.h	(revision 681)
+++ translator_se.h	(arbetskopia)
@@ -1,12 +1,13 @@
+/*-*- c-basic-offset: 2; tab-width: 8 -*-*/
 /******************************************************************************
  *
- * 
  *
+ *
  * Copyright (C) 1997-2008 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
- * documentation under the terms of the GNU General Public License is hereby 
- * granted. No representations are made about the suitability of this software 
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
  * for any purpose. It is provided "as is" without express or implied warranty.
  * See the GNU General Public License for more details.
  *
@@ -15,70 +16,53 @@
  *
  */
 
-/*
-==================================================================================
-Svensk översättning av:
-Samuel Hägglund      <sahag96@ite.mh.se>
-Xet Erixon           <xet@xeqt.com>
-Mikael Hallin        <mikaelhallin@yahoo.se>           2003-07-28
-==================================================================================
-Uppdateringar.
-1999/04/29
-*  Omskrivningar av en hel del ordval, t.ex.
-   ENG                  INNAN          EFTER
-   compound             inhängnad      sammansatt
-   structs              structs        strukter
-   unions               unions         unioner
-
-   osv...
-
-*  Alla översättnings-strängar returnerar i alla fall en något så när vettig
-   förklaring...
-
-1999/05/27
-*  Det verkade som vi glömt en del mellanslag i vissa strängar vilket resulterade
-   i att en del ord blev ihopskrivna.
-
-*  Bytt en del ordval igen...
-   ENG                       INNAN          EFTER
-   reference manual          Uppslagsbok    referensmanual
-
-*  Skrivit ihop en del ord som innan hade bindestreck
-*  En del nya översättningar är tillagda.
-*  Gamla översättningar borttagna
-
-===================================================================================
-Problem!
-   Slot: nån hygglig svensk översättning???
-
-   Skicka gärna synpunkter.
-===================================================================================
-1999/09/01
-*  Det verkar som om "namnrymd" är en hyggligt vedertagen svensk översättning
-   av "namespace", så jag kör med det från och med nu.
-*  "interface" heter numera "gränssnitt"
-
-2003/07/28
-*  Jag har updaterat översättningen efter ett par års träda..
-Problem!
-   Deprecated: nån hygglig svensk översättning???
-
-   Skicka gärna synpunkter.
+/* Not started.
+ *
+ * The Northern Sami language is probably used by part of the Sami
+ * minority in nothern Norway, Sweden, Finland and Russha.
 */
 
 #ifndef TRANSLATOR_SE_H
 #define TRANSLATOR_SE_H
 
-class TranslatorSwedish : public TranslatorAdapter_1_4_6
+/*!
+ When defining a translator class for the new language, follow
+ the description in the documentation.  One of the steps says
+ that you should copy the translator_en.h (this) file to your
+ translator_xx.h new file.  Your new language should use the
+ Translator class as the base class.  This means that you need to
+ implement exactly the same (pure virtual) methods as the
+ TranslatorEnglish does.  Because of this, it is a good idea to
+ start with the copy of TranslatorEnglish and replace the strings
+ one by one.
+
+ It is not necessary to include "translator.h" or
+ "translator_adapter.h" here.  The files are included in the
+ language.cpp correctly.  Not including any of the mentioned
+ files frees the maintainer from thinking about whether the
+ first, the second, or both files should be included or not, and
+ why.  This holds namely for localized translators because their
+ base class is changed occasionaly to adapter classes when the
+ Translator class changes the interface, or back to the
+ Translator class (by the local maintainer) when the localized
+ translator is made up-to-date again.
+*/
+class TranslatorNorthernSami : public TranslatorAdapter_1_3
 {
   public:
 
+    /*! Used for identification of the language. The identification
+     * should not be translated. It should be replaced by the name
+     * of the language in English using lower-case characters only
+     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to
+     * the identification used in language.cpp.
+     */
     virtual QCString idLanguage()
-    { return "swedish"; }
+    { return "northernsami"; }
 
-    /*! Used to get the LaTeX command(s) for the language support. 
+    /*! Used to get the LaTeX command(s) for the language support.
      *  This method should return string with commands that switch
-     *  LaTeX to the desired language.  For example 
+     *  LaTeX to the desired language.  For example
      *  <pre>"\\usepackage[german]{babel}\n"
      *  </pre>
      *  or
@@ -86,13 +70,13 @@
      *  "\\usepackage[latin2]{inputenc}\n"
      *  "\\usepackage[T1]{fontenc}\n"
      *  </pre>
-     * 
+     *
      * The English LaTeX does not use such commands.  Because of this
      * the empty string is returned in this implementation.
      */
     virtual QCString latexLanguageSupportCommand()
     {
-      return "\\usepackage[swedish]{babel}\n";
+      return "";
     }
 
     /*! return the language charset. This will be used for the HTML output */
@@ -101,460 +85,594 @@
       return "iso-8859-1";
     }
 
+    // --- Language translation methods -------------------
+
+    /*! used in the compound documentation before a list of related functions. */
     virtual QCString trRelatedFunctions()
-    { return "Besläktade funktioner"; }
+    { return "Related Functions"; }
 
+    /*! subscript for the related functions. */
     virtual QCString trRelatedSubscript()
-    { return "(Observera att dessa inte är medlemsfunktioner)"; }
+    { return "(Note that these are not member functions.)"; }
 
+    /*! header that is put before the detailed description of files, classes and namespaces. */
     virtual QCString trDetailedDescription()
-    { return "Detaljerad beskrivning"; }
+    { return "Detailed Description"; }
 
+    /*! header that is put before the list of typedefs. */
     virtual QCString trMemberTypedefDocumentation()
-    { return "Dokumentation av typdefinierade medlemmar"; }
+    { return "Member Typedef Documentation"; }
 
+    /*! header that is put before the list of enumerations. */
     virtual QCString trMemberEnumerationDocumentation()
-    { return "Dokumentation av egenuppräknande medlemmar"; }
+    { return "Member Enumeration Documentation"; }
 
+    /*! header that is put before the list of member functions. */
     virtual QCString trMemberFunctionDocumentation()
-    { return "Dokumentation av medlemsfunktioner"; }
+    { return "Member Function Documentation"; }
 
+    /*! header that is put before the list of member attributes. */
     virtual QCString trMemberDataDocumentation()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Fält dokumentation"; 
+        return "Field Documentation";
       }
       else
       {
-        return "Dokumentation av datamedlemmar";
+        return "Member Data Documentation";
       }
     }
 
+    /*! this is the text of a link put after brief descriptions. */
     virtual QCString trMore()
-    { return "Mer..."; }
+    { return "More..."; }
 
+    /*! put in the class documentation */
     virtual QCString trListOfAllMembers()
-    { return "Lista över alla medlemmar."; }
+    { return "List of all members."; }
 
+    /*! used as the title of the "list of all members" page of a class */
     virtual QCString trMemberList()
-    { return "Medlemslista"; }
+    { return "Member List"; }
 
+    /*! this is the first part of a sentence that is followed by a class name */
     virtual QCString trThisIsTheListOfAllMembers()
-    { return "Det här är en fullständig lista över medlemmar för "; }
+    { return "This is the complete list of members for "; }
 
+    /*! this is the remainder of the sentence after the class name */
     virtual QCString trIncludingInheritedMembers()
-    { return " med alla ärvda medlemmar."; }
+    { return ", including all inherited members."; }
 
+    /*! this is put at the author sections at the bottom of man pages.
+     *  parameter s is name of the project name.
+     */
     virtual QCString trGeneratedAutomatically(const char *s)
-    { QCString result="Automatiskt skapad av Doxygen";
-      if (s) result+=(QCString)" för "+s;
-      result+=" från källkoden."; 
+    { QCString result="Generated automatically by Doxygen";
+      if (s) result+=(QCString)" for "+s;
+      result+=" from the source code.";
       return result;
     }
 
+    /*! put after an enum name in the list of all members */
     virtual QCString trEnumName()
-    { return "enum namn"; }
+    { return "enum name"; }
 
+    /*! put after an enum value in the list of all members */
     virtual QCString trEnumValue()
-    { return "enum värde"; }
+    { return "enum value"; }
 
+    /*! put after an undocumented member in the list of all members */
     virtual QCString trDefinedIn()
-    { return "definierad i"; }
+    { return "defined in"; }
 
-/*
-    QCString trVerbatimText(const char *f)
-    { return (QCString)"Detta är den ordagranna texten från inkluderingsfilen "+f; }
-*/
+    // quick reference sections
+
+    /*! This is put above each page as a link to the list of all groups of
+     *  compounds or files (see the \\group command).
+     */
     virtual QCString trModules()
-    { return "Moduler"; }
+    { return "Modules"; }
 
+    /*! This is put above each page as a link to the class hierarchy */
     virtual QCString trClassHierarchy()
-    { return "Klasshierarki"; }
+    { return "Class Hierarchy"; }
 
+    /*! This is put above each page as a link to the list of annotated classes */
     virtual QCString trCompoundList()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Sammansatt klasslista";
+        return "Class List";
       }
     }
 
+    /*! This is put above each page as a link to the list of documented files */
     virtual QCString trFileList()
-    { return "Fillista"; }
+    { return "File List"; }
 
+    /*! This is put above each page as a link to all members of compounds. */
     virtual QCString trCompoundMembers()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data fält"; 
+        return "Data Fields";
       }
       else
       {
-        return "Sammansatta klassmedlemmar";
+        return "Class Members";
       }
     }
 
+    /*! This is put above each page as a link to all members of files. */
     virtual QCString trFileMembers()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Globala symboler"; 
+        return "Globals";
       }
       else
       {
-        return "Filmedlemmar";
+        return "File Members";
       }
     }
 
+    /*! This is put above each page as a link to all related pages. */
     virtual QCString trRelatedPages()
-    { return "Besläktade sidor"; }
+    { return "Related Pages"; }
 
+    /*! This is put above each page as a link to all examples. */
     virtual QCString trExamples()
-    { return "Exempel"; }
+    { return "Examples"; }
 
+    /*! This is put above each page as a link to the search engine. */
     virtual QCString trSearch()
-    { return "Sök"; }
+    { return "Search"; }
 
+    /*! This is an introduction to the class hierarchy. */
     virtual QCString trClassHierarchyDescription()
-    { return "Denna lista över arv är grovt, men inte helt, "
-             "sorterad i alfabetisk ordning:";
+    { return "This inheritance list is sorted roughly, "
+             "but not completely, alphabetically:";
     }
 
+    /*! This is an introduction to the list with all files. */
     virtual QCString trFileListDescription(bool extractAll)
     {
-      QCString result="Här följer en lista över alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="filer, med en kort beskrivning:";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="files with brief descriptions:";
       return result;
     }
 
+    /*! This is an introduction to the annotated compound list. */
     virtual QCString trCompoundListDescription()
-    { 
-      
+    {
+
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Här följer datastrukturerna med korta beskrivningar:";
+        return "Here are the data structures with brief descriptions:";
       }
       else
       {
-        return "Här följer klasserna, strukterna, unionerna och "
-               "gränssnitten med korta beskrivningar:"; 
+        return "Here are the classes, structs, "
+               "unions and interfaces with brief descriptions:";
       }
     }
 
     /*! This is an introduction to the page with all class members. */
     virtual QCString trCompoundMembersDescription(bool extractAll)
     {
-      QCString result="Här är en lista över alla ";
+      QCString result="Here is a list of all ";
       if (!extractAll)
       {
-        result+="dokumenterade ";
+        result+="documented ";
       }
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        result+="struktur- och unions-fält";
+        result+="struct and union fields";
       }
       else
       {
-        result+="klassmedlemmar";
+        result+="class members";
       }
-      result+=" med länkar till ";
-      if (!extractAll) 
+      result+=" with links to ";
+      if (!extractAll)
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
-          result+="struktur/unions-dokumentationen för varje fält:";
+          result+="the struct/union documentation for each field:";
         }
         else
         {
-          result+="klassdokumentationen för varje medlem:";
+          result+="the class documentation for each member:";
         }
       }
-      else 
+      else
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
-          result+=" strukturerna/unionerna de tillhör:";
+          result+="the structures/unions they belong to:";
         }
         else
         {
-          result+="klasserna de tillhör:";
+          result+="the classes they belong to:";
         }
       }
       return result;
     }
 
+    /*! This is an introduction to the page with all file members. */
     virtual QCString trFileMembersDescription(bool extractAll)
     {
-      QCString result="Här följer en lista över alla ";
-      if (!extractAll) result+="dokumenterade ";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
 
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        result+="funktioner, variabler, definitioner, enumerationer "
-                "och typdefinitioner";
+        result+="functions, variables, defines, enums, and typedefs";
       }
       else
       {
-        result+= "filmedlemmar";
+        result+="file members";
       }
-      result+= " med länkar till ";
+      result+=" with links to ";
       if (extractAll)
-        result+= "filerna som de tillhör:";
+        result+="the files they belong to:";
       else
-        result+= "dokumentationen:";
+        result+="the documentation:";
       return result;
     }
 
+    /*! This is an introduction to the page with the list of all examples */
     virtual QCString trExamplesDescription()
-    { return "Här följer en lista med alla exempel:"; }
+    { return "Here is a list of all examples:"; }
 
+    /*! This is an introduction to the page with the list of related pages */
     virtual QCString trRelatedPagesDescription()
-    { return "Här följer en lista över alla besläktade dokumentationssidor:";}
+    { return "Here is a list of all related documentation pages:"; }
 
+    /*! This is an introduction to the page with the list of class/file groups */
     virtual QCString trModulesDescription()
-    { return "Här följer en lista över alla moduler:"; }
+    { return "Here is a list of all modules:"; }
 
+    // index titles (the project name is prepended for these)
+
+    /*! This is used in HTML as the title of index.html. */
     virtual QCString trDocumentation()
-    { return "Dokumentation"; }
+    { return "Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * index of all groups.
+     */
     virtual QCString trModuleIndex()
-    { return "Modulindex"; }
+    { return "Module Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * class hierarchy.
+     */
     virtual QCString trHierarchicalIndex()
-    { return "Hierarkiskt Index"; }
+    { return "Hierarchical Index"; }
 
     /*! This is used in LaTeX as the title of the chapter with the
      * annotated compound index.
      */
     virtual QCString trCompoundIndex()
     {
-      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
-        return "Index över datastrukturer";
-      } else {
-        return "Index över sammensatta typer";
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
+      {
+        return "Data Structure Index";
       }
+      else
+      {
+        return "Class Index";
+      }
     }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * list of all files.
+     */
     virtual QCString trFileIndex()
-    { return "Filindex"; }
+    { return "File Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all groups.
+     */
     virtual QCString trModuleDocumentation()
-    { return "Dokumentation över moduler"; }
+    { return "Module Documentation"; }
 
     /*! This is used in LaTeX as the title of the chapter containing
      *  the documentation of all classes, structs and unions.
      */
     virtual QCString trClassDocumentation()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Dokumentation över datastrukturer";
+        return "Data Structure Documentation";
       }
       else
       {
-        return "Documentation över klasser";
+        return "Class Documentation";
       }
     }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all files.
+     */
     virtual QCString trFileDocumentation()
-    { return "Dokumentation över filer"; }
+    { return "File Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all examples.
+     */
     virtual QCString trExampleDocumentation()
-    { return "Dokumentation över exempel"; }
+    { return "Example Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all related pages.
+     */
     virtual QCString trPageDocumentation()
-    { return "Dokumentation av sidor"; }
+    { return "Page Documentation"; }
 
+    /*! This is used in LaTeX as the title of the document */
     virtual QCString trReferenceManual()
-    { return "Referensmanual"; }
+    { return "Reference Manual"; }
 
+    /*! This is used in the documentation of a file as a header before the
+     *  list of defines
+     */
     virtual QCString trDefines()
-    { return "Definitioner"; }
+    { return "Defines"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of function prototypes
+     */
     virtual QCString trFuncProtos()
-    { return "Funktionsprototyper"; }
+    { return "Function Prototypes"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of typedefs
+     */
     virtual QCString trTypedefs()
-    { return "Typdefinitioner"; }
+    { return "Typedefs"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of enumerations
+     */
     virtual QCString trEnumerations()
-    { return "Egenuppräknande typer"; }
+    { return "Enumerations"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) functions
+     */
     virtual QCString trFunctions()
-    { return "Funktioner"; }
+    { return "Functions"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
     virtual QCString trVariables()
-    { return "Variabler"; }
+    { return "Variables"; }
 
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
     virtual QCString trEnumerationValues()
-    { return "Egenuppräknade typers värden"; }
+    { return "Enumerator"; }
 
+    /*! This is used in the documentation of a file before the list of
+     *  documentation blocks for defines
+     */
     virtual QCString trDefineDocumentation()
-    { return "Dokumentation över definitioner"; }
+    { return "Define Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for function prototypes
+     */
     virtual QCString trFunctionPrototypeDocumentation()
-    { return "Dokumentation över funktionsprototyper"; }
+    { return "Function Prototype Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for typedefs
+     */
     virtual QCString trTypedefDocumentation()
-    { return "Dokumentation över typdefinitioner"; }
+    { return "Typedef Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration types
+     */
     virtual QCString trEnumerationTypeDocumentation()
-    { return "Dokumentation över egenuppräknande typer"; }
+    { return "Enumeration Type Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for functions
+     */
     virtual QCString trFunctionDocumentation()
-    { return "Dokumentation över funktioner"; }
+    { return "Function Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for variables
+     */
     virtual QCString trVariableDocumentation()
-    { return "Dokumentation över variabler"; }
+    { return "Variable Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace/group before 
+    /*! This is used in the documentation of a file/namespace/group before
      *  the list of links to documented compounds
      */
     virtual QCString trCompounds()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Sammansättning";
+        return "Classes";
       }
     }
 
+    /*! This is used in the standard footer of each page and indicates when
+     *  the page was generated
+     */
     virtual QCString trGeneratedAt(const char *date,const char *projName)
     {
-      QCString result=(QCString)"Skapad "+date;
-      if (projName) result+=(QCString)" för "+projName;
-      result+=(QCString)" av";
+      QCString result=(QCString)"Generated on "+date;
+      if (projName) result+=(QCString)" for "+projName;
+      result+=(QCString)" by";
       return result;
     }
-
+    /*! This is part of the sentence used in the standard footer of each page.
+     */
     virtual QCString trWrittenBy()
     {
-      return "skriven av";
+      return "written by";
     }
 
+    /*! this text is put before a class diagram */
     virtual QCString trClassDiagram(const char *clName)
     {
-      return (QCString)"Klassdiagram för "+clName;
+      return (QCString)"Inheritance diagram for "+clName+":";
     }
 
+    /*! this text is generated when the \\internal command is used. */
     virtual QCString trForInternalUseOnly()
-    { return "Endast för internt bruk."; }
+    { return "For internal use only."; }
 
+    /*! this text is generated when the \\warning command is used. */
     virtual QCString trWarning()
-    { return "Varning"; }
+    { return "Warning"; }
 
+    /*! this text is generated when the \\version command is used. */
     virtual QCString trVersion()
     { return "Version"; }
 
+    /*! this text is generated when the \\date command is used. */
     virtual QCString trDate()
-    { return "Datum"; }
+    { return "Date"; }
 
+    /*! this text is generated when the \\return command is used. */
     virtual QCString trReturns()
-    { return "Returnerar"; }
+    { return "Returns"; }
 
+    /*! this text is generated when the \\sa command is used. */
     virtual QCString trSeeAlso()
-    { return "Se även"; }
+    { return "See also"; }
 
+    /*! this text is generated when the \\param command is used. */
     virtual QCString trParameters()
-    { return "Parametrar"; }
+    { return "Parameters"; }
 
+    /*! this text is generated when the \\exception command is used. */
     virtual QCString trExceptions()
-    { return "Undantag"; }
+    { return "Exceptions"; }
 
+    /*! this text is used in the title page of a LaTeX document. */
     virtual QCString trGeneratedBy()
-    { return "Skapad av"; }
+    { return "Generated by"; }
 
+//////////////////////////////////////////////////////////////////////////
 // new since 0.49-990307
+//////////////////////////////////////////////////////////////////////////
 
+    /*! used as the title of page containing all the index of all namespaces. */
     virtual QCString trNamespaceList()
-    { return "Namnrymdslista"; }
+    { return "Namespace List"; }
 
+    /*! used as an introduction to the namespace list */
     virtual QCString trNamespaceListDescription(bool extractAll)
     {
-      QCString result="Här är en lista över alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="namnrymder med en kort beskrivning:";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="namespaces with brief descriptions:";
       return result;
     }
 
+    /*! used in the class documentation as a header before the list of all
+     *  friends of a class
+     */
     virtual QCString trFriends()
-    { return "Vänner"; }
+    { return "Friends"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990405
 //////////////////////////////////////////////////////////////////////////
 
+    /*! used in the class documentation as a header before the list of all
+     * related classes
+     */
     virtual QCString trRelatedFunctionDocumentation()
-    { return "Vänners och besläktade funktioners dokumentation"; }
+    { return "Friends And Related Function Documentation"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990425
 //////////////////////////////////////////////////////////////////////////
 
+    /*! used as the title of the HTML page of a class/struct/union */
     virtual QCString trCompoundReference(const char *clName,
                                     ClassDef::CompoundType compType,
                                     bool isTemplate)
     {
-      QCString result=(QCString)clName+" ";
+      QCString result=(QCString)clName;
       switch(compType)
       {
-        case ClassDef::Class:  result+=" klass"; break;
-        case ClassDef::Struct: result+=" strukt"; break;
-        case ClassDef::Union:  result+=" union"; break;
-        case ClassDef::Interface:  result+=" gränssnitt"; break;
-        case ClassDef::Protocol:   result+=" protocol"; break; // translate me!
-        case ClassDef::Category:   result+=" category"; break; // translate me!
-        case ClassDef::Exception:  result+=" undantag"; break;
+        case ClassDef::Class:      result+=" Class"; break;
+        case ClassDef::Struct:     result+=" Struct"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Interface"; break;
+        case ClassDef::Protocol:   result+=" Protocol"; break;
+        case ClassDef::Category:   result+=" Category"; break;
+        case ClassDef::Exception:  result+=" Exception"; break;
       }
-      if (isTemplate) result+="template";
-      result+="referens";
+      if (isTemplate) result+=" Template";
+      result+=" Reference";
       return result;
     }
 
+    /*! used as the title of the HTML page of a file */
     virtual QCString trFileReference(const char *fileName)
     {
       QCString result=fileName;
-      result+=" filreferens";
+      result+=" File Reference";
       return result;
     }
 
+    /*! used as the title of the HTML page of a namespace */
     virtual QCString trNamespaceReference(const char *namespaceName)
     {
       QCString result=namespaceName;
-      result+=" namnrymdreferens";
+      result+=" Namespace Reference";
       return result;
     }
 
     virtual QCString trPublicMembers()
-    { return "Publika medlemmar"; }
+    { return "Public Member Functions"; }
     virtual QCString trPublicSlots()
-    { return "Publika slots"; }
+    { return "Public Slots"; }
     virtual QCString trSignals()
-    { return "Signaler"; }
+    { return "Signals"; }
     virtual QCString trStaticPublicMembers()
-    { return "Statiska  publika medlemmar"; }
+    { return "Static Public Member Functions"; }
     virtual QCString trProtectedMembers()
-    { return "Skyddade medlemmar"; }
+    { return "Protected Member Functions"; }
     virtual QCString trProtectedSlots()
-    { return "Skyddade slots"; }
+    { return "Protected Slots"; }
     virtual QCString trStaticProtectedMembers()
-    { return "Statiska skyddade medlemmar"; }
+    { return "Static Protected Member Functions"; }
     virtual QCString trPrivateMembers()
-    { return "Privata medlemmar"; }
+    { return "Private Member Functions"; }
     virtual QCString trPrivateSlots()
-    { return "Privata slots"; }
+    { return "Private Slots"; }
     virtual QCString trStaticPrivateMembers()
-    { return "Statiska privata medlemmar"; }
-    // end of member sections
+    { return "Static Private Member Functions"; }
 
+    /*! this function is used to produce a comma-separated list of items.
+     *  use generateMarker(i) to indicate where item i should be put.
+     */
     virtual QCString trWriteList(int numEntries)
     {
-      // this function is used to produce a comma-separated list of items.
-      // use generateMarker(i) to indicate where item i should be put.
       QCString result;
       int i;
       // the inherits list contain `numEntries' classes
